/*
   core/net.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_NET_H__
#define __INCLUDED_CORE_NET_H__

namespace core
{

/// network protocol version
const unsigned int PROTOCOLVERSION = 14;

/// maximum lenght of a (compressed) network message block
const unsigned int FRAMESIZE = 1152;
const unsigned int BLOCKSIZE = 8192;

/// maximum number of pending client connections, hard limit
const unsigned int MAXPENDINGCONNECTIONS = 32;

/// default network port
const unsigned int DEFAULTPORT = 8042;

/// network timeout in seconds
const float NETTIMEOUT = 20;

}

#include "core/netserver.h"
#include "core/netclient.h"
#include "core/netconnection.h"

#endif // __INCLUDED_CORE_NET_H__

