/*
   base/shipdealer.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_BASE_SHIPDEALER_H__
#define __INCLUDED_BASE_SHIPDEALER_H__

#include <list>

#include "base/shipmodel.h"
#include "core/entity.h"

namespace game {

class ShipDealer
{
public:
	typedef std::list<ShipModel *> Models;
	
	ShipDealer();
	~ShipDealer();

	/// add a ship model to the dealer list
	ShipModel *add(const std::string &modelname);
	
	/// find a ship model in the dealer list
	ShipModel *find(const std::string &modelname) const;
	
	/// find a ship model in the dealer list
	ShipModel *find(ShipModel *shipmodel) const;

	static void func_buy(core::Player *player, const std::string &args);

private:
	Models		dealer_models;	
};

}

#endif // __INCLUDED_BASE_SHIPDEALER_H__

