/*
   ui/definitions.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_UI_DEFINITIONS_H__
#define __INCLUDED_UI_DEFINITIONS_H__

#include <string>
#include <deque>

namespace ui
{

enum Alignment {
	AlignAuto	= 0x0000,
	AlignLeft	= 0x0001,
	AlignHCenter	= 0x0002,
	AlignRight	= 0x0004,
	
	AlignTop	= 0x0010,
	AlignVCenter	= 0x0020,
	AlignBottom	= 0x0040,
	
	AlignCenter	= AlignHCenter | AlignVCenter
};

const float			 pointer_size = 48.0f;

typedef std::deque<std::string> Text;

}

#endif //  __INCLUDED_UI_DEFINITIONS_H__

