/*
   ui/toolbar.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "ui/toolbar.h"
#include "ui/button.h"

namespace ui {

Toolbar::Toolbar(Widget *parent) : Widget(parent)
{
	set_label("toolbar");
	set_background(false);
	set_border(false);
}

Toolbar::~Toolbar()
{
}

void Toolbar::add_button(const char *bitmap, const char *text, const char *command)
{
	new Button(this, text, command);
}

void Toolbar::resize()
{
	const float n = (float) children().size();
	float x = 0;
	for (Widget::Children::iterator it = children().begin(); it != children().end(); it++) {
		Widget *widget = (*it);
		widget->set_geometry(x, 0, width() / n, height());
		x += widget->width();
	}
}

}

